[jp] 64 bit -> 32 bit downgrade yields read_header errors

Dan Stromberg strombrg at dcs.nac.uci.edu
Mon Jan 31 15:03:52 EST 2005



I have an athlon 64 system, that until this morning, I was running
Fedora Core 3 for x86-64 on.

Tired of myriad programs not compiling smoothly (EG, DrPython), or not
working reliably once compiled (EG, openvpn), I downgraded to Fedora
Core 3 for x86 (32 bit) this morning.

I'm finding that I get many of these errors:

read_header() error
read_header() error
read_header() error

...when I try to sync now.  I also get them when jpilot starts up,
before attempting a sync.

I tried both the version of pilot-link that comes with a yum update'd
FC3, as well as compiling my own pilot-link-0.11.8.tar.gz
into /usr/local, but both appear to have the same problem.

I also tried both the version of jpilot that comes with a yum update'd
FC3, and a jpilot-0.99.7.tar.gz I compiled myself, both with gtk1 and
with gtk2.

Is it possible my .pdb's are encoded for a 64 bit system or something?

What might fix this problem?

Thanks!





More information about the Jpilot mailing list